Bug 175034 - Part 3 of: Rename DatabaseProcess to StorageProcess
Summary: Part 3 of: Rename DatabaseProcess to StorageProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-01 10:48 PDT by Brady Eidson
Modified: 2017-10-11 12:19 PDT (History)
4 users (show)

See Also:


Attachments
Patch (11.01 KB, patch)
2017-08-01 14:03 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (11.05 KB, patch)
2017-08-01 14:10 PDT, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (16.68 KB, patch)
2017-08-09 11:55 PDT, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2017-08-01 10:48:00 PDT
Part 3 of: Rename DatabaseProcess to StorageProcess

This tracks actual renaming of the XPC service (which we'll do just for Mac and the iOS simulator for now)
Comment 1 Radar WebKit Bug Importer 2017-08-01 10:49:19 PDT
<rdar://problem/33657240>
Comment 2 Andy Estes 2017-08-01 14:03:09 PDT
Created attachment 316891 [details]
Patch
Comment 3 mitz 2017-08-01 14:04:27 PDT
Comment on attachment 316891 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=316891&action=review

> Source/WebKit/ChangeLog:10
> +        * Configurations/BaseTarget.xcconfig: Defined WK_STORAGE_SERVICE_PRODUCT_NAME to be
> +        com.apple.WebKit.Databases by default, and overrode it to com.apple.WebKit.Storage on macOS
> +        and iOS Simulator.

Why the different names?
Comment 4 Andy Estes 2017-08-01 14:06:55 PDT
(In reply to mitz from comment #3)
> Comment on attachment 316891 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=316891&action=review
> 
> > Source/WebKit/ChangeLog:10
> > +        * Configurations/BaseTarget.xcconfig: Defined WK_STORAGE_SERVICE_PRODUCT_NAME to be
> > +        com.apple.WebKit.Databases by default, and overrode it to com.apple.WebKit.Storage on macOS
> > +        and iOS Simulator.
> 
> Why the different names?

So that tip-of-tree WebKit can continue to work on devices running iOS 11 without having to remove the XPC cache.
Comment 5 Ryosuke Niwa 2017-08-01 14:09:06 PDT
(In reply to mitz from comment #3)
> Comment on attachment 316891 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=316891&action=review
> 
> > Source/WebKit/ChangeLog:10
> > +        * Configurations/BaseTarget.xcconfig: Defined WK_STORAGE_SERVICE_PRODUCT_NAME to be
> > +        com.apple.WebKit.Databases by default, and overrode it to com.apple.WebKit.Storage on macOS
> > +        and iOS Simulator.
> 
> Why the different names?

Due to an Apple internal build system requirement. I've forwarded you relevant emails.
Comment 6 mitz 2017-08-01 14:09:53 PDT
(In reply to Andy Estes from comment #4)
> (In reply to mitz from comment #3)
> > Comment on attachment 316891 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=316891&action=review
> > 
> > > Source/WebKit/ChangeLog:10
> > > +        * Configurations/BaseTarget.xcconfig: Defined WK_STORAGE_SERVICE_PRODUCT_NAME to be
> > > +        com.apple.WebKit.Databases by default, and overrode it to com.apple.WebKit.Storage on macOS
> > > +        and iOS Simulator.
> > 
> > Why the different names?
> 
> So that tip-of-tree WebKit can continue to work on devices running iOS 11
> without having to remove the XPC cache.

Removing the cache isn’t necessary. The cache is ignored for frameworks listed under the UncachedServices key of com.apple.xpc.launchd.bootstrap.plist. Even if it were required for some reason, it ought to be limited to iOS 11 and explained in the change log.
Comment 7 Andy Estes 2017-08-01 14:10:13 PDT
Created attachment 316892 [details]
Patch
Comment 8 Andy Estes 2017-08-01 14:18:12 PDT
(In reply to mitz from comment #6)
> it ought to be limited to iOS 11 and explained in the change log.

Limiting this to iOS 11 is the plan, although I need to install a new SDK to test that plan. For now we decided to start with Mac and iOS Simulator.
Comment 9 Brady Eidson 2017-08-01 23:51:59 PDT
(In reply to mitz from comment #6)
> (In reply to Andy Estes from comment #4)
> > (In reply to mitz from comment #3)
> > > Comment on attachment 316891 [details]
> > > Patch
> > > 
> > > View in context:
> > > https://bugs.webkit.org/attachment.cgi?id=316891&action=review
> > > 
> > > > Source/WebKit/ChangeLog:10
> > > > +        * Configurations/BaseTarget.xcconfig: Defined WK_STORAGE_SERVICE_PRODUCT_NAME to be
> > > > +        com.apple.WebKit.Databases by default, and overrode it to com.apple.WebKit.Storage on macOS
> > > > +        and iOS Simulator.
> > > 
> > > Why the different names?
> > 
> > So that tip-of-tree WebKit can continue to work on devices running iOS 11
> > without having to remove the XPC cache.
> 
> Removing the cache isn’t necessary. The cache is ignored for frameworks
> listed under the UncachedServices key of
> com.apple.xpc.launchd.bootstrap.plist. Even if it were required for some
> reason, it ought to be limited to iOS 11 and explained in the change log.

I don't actually think this is right. I thought I replied to a message from you on the email thread, I'll go double check that now...
Comment 10 WebKit Commit Bot 2017-08-09 09:50:07 PDT
Comment on attachment 316892 [details]
Patch

Rejecting attachment 316892 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 316892, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
eeded at 9732 (offset 49 lines).
Hunk #6 succeeded at 9740 (offset 49 lines).
1 out of 6 hunks FAILED -- saving rejects to file Source/WebKit/WebKit.xcodeproj/project.pbxproj.rej
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/WebKitTestRunner/TestController.cpp
Hunk #1 succeeded at 890 (offset 3 lines).

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Brady Eidson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-queues.webkit.org/results/4284741
Comment 11 Andy Estes 2017-08-09 11:55:45 PDT
Created attachment 317725 [details]
Patch
Comment 12 WebKit Commit Bot 2017-08-09 18:07:13 PDT
Comment on attachment 317725 [details]
Patch

Clearing flags on attachment: 317725

Committed r220501: <http://trac.webkit.org/changeset/220501>
Comment 13 WebKit Commit Bot 2017-08-09 18:07:14 PDT
All reviewed patches have been landed.  Closing bug.